@import "./colors.module.scss";
.main_container {
  background-color: $bg-dark;

  .container {
    padding: 100px 0 150px;
    display: flex;
    flex-direction: column;
    gap: 100px;
    width: 80%;
    margin: auto;
    max-width: 1500px;
    @media screen and (min-width: 840px) and (max-width: 899px) {
      width: 90%;
    }
    @media (max-width: 599px) {
      gap: 80px;
      padding: 80px 0 120px;
    }
    .heading {
      h3 {
        text-align: center;
      }
    }
  }
  .projects {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 50px;
    @media screen and (min-width: 840px) and (max-width: 1140px) {
      gap: 30px;
    }
    @media screen and (min-width: 599px) and (max-width: 990px) {
      grid-template-columns: repeat(2, 1fr);
      gap: 30px;
    }
    @media (max-width: 599px) {
      grid-template-columns: 1fr;
      gap: 30px;
    }
    .card {
      background-color: $bg;
      border-radius: 12px;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      text-align: center;
      background-color: $bg;
      cursor: pointer;
      box-shadow: var(--shadow);
      text-decoration: none !important;
      @media screen and (min-width: 599px) and (max-width: 1140px) {
      }
      .project_img_container {
        overflow: hidden;
        transition: 0.3s all ease-in-out;
        width: 100%;
        border-radius: 12px 12px 0 0;

        .project_img {
          width: 100%;
          height: 240px;
          object-fit: cover;
          transition: 0.3s all ease-in-out;

          &:hover {
            transform: scale(1.1);
          }
        }
      }
      .project_details {
        padding: 20px 30px 30px;
        width: 100%;
        display: flex;
        flex-direction: column;
        gap: 10px;
        // color: $light-green;
        h5 {
          // &:hover {
          // color: $light-green;
          // }
        }
      }
    }
  }
}
